POST api/NTOrderSettings/PostOrderSpecialistReferralType

Request Information

URI Parameters

None.

Body Parameters

OrderSpecialistReferralTypeDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Sequence

integer

None.

Name

string

String length: inclusive between 0 and 150

Protocols

string

String length: inclusive between 0 and 4000

CPTCode

string

String length: inclusive between 0 and 20

TangAndCompanyCode

string

String length: inclusive between 0 and 10

IsAuthorizationRequired

boolean

None.

IsFavourite

boolean

None.

IsReasonRequired

boolean

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Sequence": 2,
  "Name": "sample string 3",
  "Protocols": "sample string 4",
  "CPTCode": "sample string 5",
  "TangAndCompanyCode": "sample string 6",
  "IsAuthorizationRequired": true,
  "IsFavourite": true,
  "IsReasonRequired": true,
  "ValidFlag": true,
  "DateCreated": "2026-06-19T23:56:19.7327553-07:00",
  "DateUpdated": "2026-06-19T23:56:19.7327553-07:00",
  "UserIDCreated": 13,
  "UserIDUpdated": 14,
  "CompanyCode": "sample string 15",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfOrderSpecialistReferralTypeDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

OrderSpecialistReferralTypeDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Sequence": 2,
    "Name": "sample string 3",
    "Protocols": "sample string 4",
    "CPTCode": "sample string 5",
    "TangAndCompanyCode": "sample string 6",
    "IsAuthorizationRequired": true,
    "IsFavourite": true,
    "IsReasonRequired": true,
    "ValidFlag": true,
    "DateCreated": "2026-06-19T23:56:19.7327553-07:00",
    "DateUpdated": "2026-06-19T23:56:19.7327553-07:00",
    "UserIDCreated": 13,
    "UserIDUpdated": 14,
    "CompanyCode": "sample string 15",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}